org.eclipse.emf.compare.scope

## Interface IComparisonScope2

All Superinterfaces:
  IComparisonScope

All Known Implementing Classes:
  AbstractComparisonScope, DefaultComparisonScope, EmptyComparisonScope, FilterComparisonScope

    public interface IComparisonScope2
    extends IComparisonScope

The scope of a model comparison.

In addition to the contract of `IComparisonScope`, this interface provides access to all resources involved in the scope.

Since:
  3.4
See Also:
  `IComparisonScope`, `AbstractComparisonScope`, `FilterComparisonScope`

### Method Summary

All Methods Instance Methods Abstract Methods
`Set<URI>` `getAllInvolvedResourceURIs()` Returns the URIs of the all files involved in this scope.

### Methods inherited from interface org.eclipse.emf.compare.scope.IComparisonScope

`getChildren, getCoveredEObjects, getCoveredResources, getLeft, getNsURIs, getOrigin, getResourceURIs, getRight`

### Method Detail

#### getAllInvolvedResourceURIs

    Set<URI> getAllInvolvedResourceURIs()

Returns the URIs of the all files involved in this scope.

The returned URIs represent all files that have been selected to be in scope of the comparison. This may include files that are not existing anymore or that may have actually not been modified.

Returns:
  The file URIs.